<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>fct &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>fct
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 2.4% of total for derived types.</p>Including implementation: 283 statements,  2.4% of total for derived types.">26 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/MFCT.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mfct.f03.html'>MFCT.f03</a></li>
    
     <li><a href='../module/fluxcorrectedtransport.html'>fluxCorrectedTransport</a></li>
    
  
     <li class="active">fct</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fct.html#variable-phil">phiL</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-pp">Pp</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-pm">Pm</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-qp">Qp</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-qm">Qm</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-minphi">minPhi</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-maxphi">maxPhi</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-lambdap">lambdap</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-lambdam">lambdam</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-lambda%7E2">lambda</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-mfr">mfr</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-philowerbound">phiLowerBound</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-phiupperbound">phiUpperBound</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-createfct">createFCT</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computephil">computePhiL</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computephilfromff">computePhiLFromFf</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computephifroma">computePhiFromA</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computeq">computeQ</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computep">computeP</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computelambda">computeLambda</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-fctbounding">FCTbounding</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computeinterfacecompression">computeInterfaceCompression</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-addinterfacecompression">addInterfaceCompression</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public :: fct</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~fct~~InheritsGraph Pages: 1 -->
<svg id="typefctInheritsGraph" width="199pt" height="74pt"
 viewBox="0.00 0.00 199.00 74.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~fct~~InheritsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 70)">
<title>type~~fct~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-70 195,-70 195,4 -4,4"/>
<!-- type~fct -->
<g id="type~~fct~~InheritsGraph_node1" class="node">
<title>type~fct</title>
<polygon fill="none" stroke="#000000" points="191,-45 137,-45 137,-21 191,-21 191,-45"/>
<text text-anchor="middle" x="164" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">fct</text>
</g>
<!-- flubiofield -->
<g id="type~~fct~~InheritsGraph_node2" class="node">
<title>flubiofield</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="59.5,-66 1.5,-66 1.5,-42 59.5,-42 59.5,-66"/>
<text text-anchor="middle" x="30.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiofield</text>
</g>
<!-- type~fct&#45;&gt;flubiofield -->
<g id="type~~fct~~InheritsGraph_edge2" class="edge">
<title>type~fct&#45;&gt;flubiofield</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M136.9843,-37.2497C117.647,-40.2915 91.3147,-44.4336 69.6742,-47.8378"/>
<polygon fill="#000000" stroke="#000000" points="69.1266,-44.3808 59.792,-49.3923 70.2144,-51.2957 69.1266,-44.3808"/>
<text text-anchor="middle" x="99" y="-47.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">lambdam</text>
</g>
<!-- flubioField -->
<g id="type~~fct~~InheritsGraph_node3" class="node">
<title>flubioField</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="61,-24 0,-24 0,0 61,0 61,-24"/>
<text text-anchor="middle" x="30.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioField</text>
</g>
<!-- type~fct&#45;&gt;flubioField -->
<g id="type~~fct~~InheritsGraph_edge1" class="edge">
<title>type~fct&#45;&gt;flubioField</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M136.991,-25.8072C131.0914,-24.4019 124.8594,-23.0428 119,-22 103.539,-19.2483 86.4163,-17.1061 71.3839,-15.5228"/>
<polygon fill="#000000" stroke="#000000" points="71.6567,-12.0326 61.3569,-14.5153 70.9568,-18.9976 71.6567,-12.0326"/>
<text text-anchor="middle" x="99" y="-24.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">lambdap</text>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fct.html#variable-phil">phiL</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-pp">Pp</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-pm">Pm</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-qp">Qp</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-qm">Qm</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-minphi">minPhi</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-maxphi">maxPhi</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-lambdap">lambdap</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-lambdam">lambdam</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-lambda%7E2">lambda</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-mfr">mfr</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-philowerbound">phiLowerBound</a>
      
      <a class="list-group-item" href="../type/fct.html#variable-phiupperbound">phiUpperBound</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-createfct">createFCT</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computephil">computePhiL</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computephilfromff">computePhiLFromFf</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computephifroma">computePhiFromA</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computeq">computeQ</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computep">computeP</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computelambda">computeLambda</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-fctbounding">FCTbounding</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-computeinterfacecompression">computeInterfaceCompression</a>
      
      <a class="list-group-item" href="../type/fct.html#boundprocedure-addinterfacecompression">addInterfaceCompression</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-phil"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>phiL</strong></td><td></td><td></td><td><p>low order approximation</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-pp"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Pp</strong></td><td></td><td></td><td><p>sum of inflows for anti-diffusion fluxes</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-pm"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Pm</strong></td><td></td><td></td><td><p>sum of outflows for anti-diffusion fluxes</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-qp"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Qp</strong></td><td></td><td></td><td><p>net fluxes in order to reach the local maximum</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-qm"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Qm</strong></td><td></td><td></td><td><p>net fluxes in order to reach the local minimum</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-minphi"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>minPhi</strong></td><td></td><td></td><td><p>net fluxes in order to reach the local maximum</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-maxphi"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>maxPhi</strong></td><td></td><td></td><td><p>net fluxes in order to reach the local minimum</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-lambdap"></span>type(flubioField),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>lambdap</strong></td><td></td><td></td><td><p>lambda plus</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-lambdam"></span>type(flubiofield),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>lambdam</strong></td><td></td><td></td><td><p>lambda minus</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-lambda%7E2"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>lambda</strong></td><td></td><td></td><td><p>cell limiter</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-mfr"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>mfr</strong></td><td></td><td></td><td><p>compression mass fluxes</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-philowerbound"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>phiLowerBound</strong></td><td></td><td></td><td><p>lower bound for phi</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-phiupperbound"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>phiUpperBound</strong></td><td></td><td></td><td><p>upper bound for phi</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-createfct"></span><h3>procedure, public :: <strong>createFCT</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/createfct.html'>createFCT</a>(this, nComp)
    
    
   
</h3>
    







<p>createFCT is the class constructor.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nComp</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computephil"></span><h3>procedure, public :: <strong>computePhiL</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computephil.html'>computePhiL</a>(this, field)
    
    
   
</h3>
    







<p>computePhiL computes the the updated value of phi using a low order scheme (upwind).</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computephilfromff"></span><h3>procedure, public :: <strong>computePhiLFromFf</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computephilfromff.html'>computePhiLFromFf</a>(this, F, field)
    
    
   
</h3>
    







<p>computePhiLFromFf computes the the updated value of phi using a given flux.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>F</strong>(numberOfFaces,1)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computephifroma"></span><h3>procedure, public :: <strong>computePhiFromA</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computephifroma.html'>computePhiFromA</a>(this, A, field)
    
    
   
</h3>
    







<p>computePhiFromA computes the the updated value of phi using a given flux.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>A</strong>(numberOfFaces,1)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computeq"></span><h3>procedure, public :: <strong>computeQ</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computeq.html'>computeQ</a>(this, field)
    
    
   
</h3>
    







<p>computeQ computes the Q+ and Q- as prescribed in the fct algorithm.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computep"></span><h3>procedure, public :: <strong>computeP</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computep.html'>computeP</a>(this, A, nComp)
    
    
   
</h3>
    







<p>computeP computes the P+ and P- as prescribed in the fct algorithm.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>A</strong>(numberOfFaces,nComp)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nComp</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computelambda"></span><h3>procedure, public :: <strong>computeLambda</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computelambda.html'>computeLambda</a>(this, A, nComp)
    
    
   
</h3>
    







<p>computeLambda computes the lambda+, lambda- and lambda (face limiter) as prescribed in the fct algorithm.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>A</strong>(numberOfFaces,nComp)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nComp</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-fctbounding"></span><h3>procedure, public :: <strong>FCTbounding</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/fctbounding.html'>FCTbounding</a>(this, local_mf, field, interpType, interpOpt)
    
    
   
</h3>
    







<p>FCTbounding computes the FCT limiters</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>local_mf</strong>(numberOfFaces,1)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>interpType</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>interpOpt</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computeinterfacecompression"></span><h3>procedure, public :: <strong>computeInterfaceCompression</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computeinterfacecompression.html'>computeInterfaceCompression</a>(this, local_mf, field, cAlpha, rScheme)
    
    
   
</h3>
    







<p>computeInterfaceCompression computes the the updated value of phi using a given flux.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>local_mf</strong>(numberOfFaces,1)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>cAlpha</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>rScheme</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-addinterfacecompression"></span><h3>procedure, public :: <strong>addInterfaceCompression</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/addinterfacecompression.html'>addInterfaceCompression</a>(this, field)
    
    
   
</h3>
    







<p>addInterfaceCompression computes the the updated value of phi using a given flux.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fct.html'>fct</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>